<template>
  <div class="convert">
    <label>Convert Number to Word</label>

    <Input v-on:valueOfInput="showResultOne" />
    <Input v-on:valueOfInput="showResultTwo" />
    <Input v-on:valueOfInput="showResultThree" />
    <div>
      <v-btn @click="printData" class="convert-btn">Submit</v-btn>
    </div>
    <div v-show="show" class="convert-result">
      <div>{{ ValueOne }}</div>
      <div>{{ ValueTwo }}</div>
      <div>{{ ValueThree }}</div>
    </div>
  </div>
</template>

<script>
import input from './Input.vue'
export default {
  data() {
    return {
      show: false,
      value: '',
      ValueOne: '',
      ValueTwo: '',
      ValueThree: '',
    }
  },
  components: {
    Input: input,
  },
  methods: {
    showResultOne(value) {
      this.ValueOne = value
    },
    showResultTwo(value) {
      this.ValueTwo = value
    },
    showResultThree(value) {
      this.ValueThree = value
    },
    printData() {
      if (this.ValueThree && this.ValueTwo && this.ValueOne) {
        this.show = true
      }
    },
  },
}
</script>

<style lang="scss" >
.convert {
  background-color: rgb(236, 236, 236);
  width: 50%;
  margin: 10px auto;
  padding: 12px;
  color: gray;
  font-weight: bold;
  border: 1px solid rgb(218, 218, 218);
  text-align: center;
  .convert-btn {
    margin-top: 5px;
    font-weight: bold;
    color: gray;
  }
  input {
    color: gray !important;
  
  }
  .convert-result {
    width: 50%;
    margin: 25px auto;
    padding: 10px;

    div {
      margin: 2px auto;
    }
  }
}
.convert-number {
  .convert-number-txt {
    direction: rtl;
    font-size: 16px;
  }
}
</style>